Bug 685091 - Adding printer using URL is not intuitive
Summary: Adding printer using URL is not intuitive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 09:37 UTC by Vít Ondruch
Modified: 2011-08-12 18:18 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-12 10:57:32 UTC


Attachments (Terms of Use)
Add printer dialog (33.83 KB, image/png)
2011-03-21 12:17 UTC, Vít Ondruch
no flags Details
URI examples (27.56 KB, image/png)
2011-03-22 15:50 UTC, Jiri Popelka
no flags Details

Description Vít Ondruch 2011-03-15 09:37:12 UTC
Description of problem:
Addint printer using URL is not intuitive. I have url of our printer in form of http://printet-address/ipp. When I trying to add the printer, it is natural to copy and paste the url into search dialog. Unfortunately when I paste the url into hot field, all forward slashes are stripped therefore the url is crippled, e.g. it results in "http:canon-printer-addressipp", and the search fails. The user is not aware that the slashes were stripped. Moreover, when I provide so specific url, I see no point why to throw away the information I am providing in favor of some heuristic search.

Expected results:
When pasting URL into Host field, it should be preserved and used for better search result.

Additional info:
Note that this apply for every host field in Add printer dialog, not just for printer search.

Comment 1 Tim Waugh 2011-03-15 09:49:45 UTC
The "Other" device is the correct one to use when entering a URI.  Perhaps it should be named "Enter URI", so e.g.:

Select Devices

Devices
-------
LPT #1
Serial Port #1
Enter URI
> Network Printer

Comment 2 Vít Ondruch 2011-03-15 10:06:15 UTC
In my case, the list looks like (may be inaccurate since some text appear in Czech language on my system):

Other
Network printers
> Find network printer
----------------------
> AppSocket
> Internet Printing Protocol (iip)
> Internet Printing Protocol (https)
> LPD/LPR Host or Printer
> Windows Samba

So for me, the options are "Find network printer" where host should accept the url or the "iip" where it should be possible to enter the url. Neither of them works as expected.

You are right that the Other seems working, but it would be probably the last item I would try, if ever ...

Comment 3 Tim Waugh 2011-03-15 10:26:36 UTC
But perhaps if it said "Enter URI" you would see it first.

I think there are two things to change then:
1. "Other" -> "Enter URI"
2. The 'Find network printer" hostname field ought to accept a URI.  When a valid URI is entered, the Forward button should become sensitive; the Find button should copy a valid URI into the "Enter URI" URI field and select that device.

Comment 4 Vít Ondruch 2011-03-15 10:50:33 UTC
(In reply to comment #3)
> But perhaps if it said "Enter URI" you would see it first.

I would see it, but I doubt I should use it :)

> I think there are two things to change then:
> 1. "Other" -> "Enter URI"
> 2. The 'Find network printer" hostname field ought to accept a URI.  When a
> valid URI is entered, the Forward button should become sensitive; 

Sounds good

> the Find
> button should copy a valid URI into the "Enter URI" URI field and select that
> device.

I am not sure I can follow you ...

Moreover I would like to point out that on the ipp pages, the example is doing more harm then help IMO, but if you could adjust the host field along the lines with the above, then it might be ok.

Comment 5 Tim Waugh 2011-03-16 17:49:22 UTC
Fixed upstream.

Comment 6 Fedora Update System 2011-03-18 17:26:16 UTC
system-config-printer-1.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.2-1.fc15

Comment 7 Vít Ondruch 2011-03-21 11:49:23 UTC
The new dialog looks really better, although:

1) I have no idea what does mean "Search by Address". At least if some explaining tooltip could be there if the checkbox is worth of being there.

2) The dialog actually doesn't work. No matter what I do, the add dialog just closes without any message or what not

Comment 8 Tim Waugh 2011-03-21 12:01:19 UTC
Where are you seeing "Search by Address"?

For point 2, please provide step-by-step description of which widgets you activated and how (e.g. selected "LPT #1" from devices list, clicked "Forward" button, ...)

Comment 9 Vít Ondruch 2011-03-21 12:17:09 UTC
Created attachment 486598 [details]
Add printer dialog

On the attached image, you can see the "Search by Address" check box I am referring to. The dialog was opened using the "plus" button in "Printers" dialog.

And on the same place, if I insert any url into the "Adresa" field, than click add, the dialog closes and that is it. Nothing happens, no new printer added, no error ...

Comment 10 Tim Waugh 2011-03-22 10:52:54 UTC
Oh -- you aren't using system-config-printer there.  Please file a separate bug report against the GNOME component providing that dialog.

Keeping this bug for s-c-printer's "Enter URI" thing...

Comment 11 Vít Ondruch 2011-03-22 11:40:58 UTC
Ah ... sorry ... this was probably some recent update in F15. I opened the dialog from the same place (at least I hope so), but it was apparently replaced by something new. What is the future of this app then?

Anyway back to the original :)

The "Enter URI" works fine as well as "Find network printer".

However, the "Internet Printing Protocol ({ipp, https})" does not IMO. Still, the example says "ipp://printer.mydomain/ipp" but once you copy/paste such uri into "Host" (hope that it is correct original name), the slashes are stripped away. Which is just confusing.

Moreover, as long as the "/printers/" stay in the "Queue" field, the URI is not formatted. remove the "s" from printers and it is. This is really odd. Even more odd then stripping slashes :)

Comment 12 Tim Waugh 2011-03-22 13:19:32 UTC
(In reply to comment #11)
> Ah ... sorry ... this was probably some recent update in F15. I opened the
> dialog from the same place (at least I hope so), but it was apparently replaced
> by something new. What is the future of this app then?

Hopefully GNOME will replace all its functionality.  Of course, however, other desktops will still want to use it until they also replace its functionality.

> However, the "Internet Printing Protocol ({ipp, https})" does not IMO. Still,
> the example says "ipp://printer.mydomain/ipp" but once you copy/paste such uri
> into "Host" (hope that it is correct original name), the slashes are stripped
> away. Which is just confusing.

OK, perhaps the Host: field there needs the same handling for ":" as for the Find Network Printer Host: field.

> Moreover, as long as the "/printers/" stay in the "Queue" field, the URI is not
> formatted. remove the "s" from printers and it is. This is really odd. Even
> more odd then stripping slashes :)

The idea is to stop people just clicking 'Forward' after they've filled in the host name as that's not correct.  We need the rest of the URI as well, and CUPS URIs always continue with "/printers/..." so that part is pre-filled.  A network printer may have a different URI altogether, which is why the entire thing can be edited.

Comment 13 Vít Ondruch 2011-03-22 13:51:37 UTC
> The idea is to stop people just clicking 'Forward' after they've filled in the
> host name as that's not correct.  We need the rest of the URI as well, and CUPS
> URIs always continue with "/printers/..." so that part is pre-filled.  A
> network printer may have a different URI altogether, which is why the entire
> thing can be edited.

Aha, so there is supposed to be something behind "/printers/". Hm, that is not obvious for somebody who is not expert in printing.

Comment 14 Tim Waugh 2011-03-22 14:24:20 UTC
Maybe the easiest solution is just to remove those two entries entirely.

Comment 15 Jiri Popelka 2011-03-22 14:46:27 UTC
(In reply to comment #13)
> Aha, so there is supposed to be something behind "/printers/". Hm, that is not
> obvious for somebody who is not expert in printing.

That's why we added those examples there (see bug #575795).

(In reply to comment #14)
> Maybe the easiest solution is just to remove those two entries entirely.

What entries do you mean, Tim ?
Host & Queue ?
the IPP URI examples ?
the IPP & HTTPS from devices list ?

Comment 16 Tim Waugh 2011-03-22 15:18:16 UTC
Sorry, I was suggesting removing the ipp and https entries from the devices list.

The reasoning: if someone has a URI already, they can just put it into the "Enter URI" screen.  If they don't have a URI, they'd only be guessing when they fill out the fields in those two ipp/https screens.

CUPS-to-CUPS printer sharing should be done using CUPS Browsing or BrowsePolling.

Comment 17 Jiri Popelka 2011-03-22 15:50:14 UTC
Created attachment 486827 [details]
URI examples

Yes, I like that idea too.
Printing newbie like Vit ;-) usually gets the URI from somebody
and "expert" is able to compose it.

But I still think that some examples (this time in "Enter URI") are good.
Maybe something like in cups web interface (see attached screenshot)
or in cups documentation
http://localhost:631/help/network.html#PROTOCOLS

Comment 18 Tim Waugh 2011-03-22 16:23:56 UTC
Yes, that's a good idea.

Comment 19 Fedora Update System 2011-03-23 04:59:29 UTC
system-config-printer-1.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Vít Ondruch 2011-03-23 06:57:21 UTC
(In reply to comment #17)
> Created attachment 486827 [details]
> URI examples
> 
> Yes, I like that idea too.
> Printing newbie like Vit ;-) 

Thanks for honoring me ;)

> 
> But I still think that some examples (this time in "Enter URI") are good.
> Maybe something like in cups web interface (see attached screenshot)
> or in cups documentation
> http://localhost:631/help/network.html#PROTOCOLS

+1

Comment 21 Tim Waugh 2011-03-23 10:03:17 UTC
Re-opening for additional corrections from comment #16 onwards.

Comment 22 Tim Waugh 2011-07-11 15:37:34 UTC
Fixed upstream.

Comment 23 Fedora Update System 2011-07-18 11:34:10 UTC
system-config-printer-1.3.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.4-1.fc15

Comment 24 Fedora Update System 2011-07-18 22:26:03 UTC
Package system-config-printer-1.3.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.4-1.fc15
then log in and leave karma (feedback).

Comment 25 Fedora Update System 2011-08-12 10:56:27 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2011-08-12 18:17:49 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.